summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--perl/perl-libintl/perl-libintl.SlackBuild21
1 files changed, 7 insertions, 14 deletions
diff --git a/perl/perl-libintl/perl-libintl.SlackBuild b/perl/perl-libintl/perl-libintl.SlackBuild
index 4b0d06972f..a0c82471ac 100644
--- a/perl/perl-libintl/perl-libintl.SlackBuild
+++ b/perl/perl-libintl/perl-libintl.SlackBuild
@@ -6,7 +6,7 @@
PRGNAM=perl-libintl
VERSION=${VERSION:-1.16}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
# Automatically determine the architecture we're building on:
@@ -53,26 +53,19 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-perl Makefile.PL
+perl Makefile.PL \
+ INSTALLDIRS=vendor \
+ INSTALLVENDORMAN3DIR=/usr/man/man3
make
make install DESTDIR=$PKG
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-mv $PKG/usr/share/man $PKG/usr && rm -rf $PKG/usr/share
+find $PKG/usr/man -type f -exec gzip -9 {} \;
-( cd $PKG/usr/man
- find . -type f -exec gzip -9 {} \;
- for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
-)
-
-( cd $PKG
- find . -name perllocal.pod \
- -o -name ".packlist" \
- -o -name "*.bs" \
- | xargs rm -f
-)
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
+find $PKG -depth -type d -empty -delete || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a COPYING.LESSER ChangeLog FAQ MANIFEST NEWS README* THANKS TODO \